From: Julian Ospald <hasufell@gentoo.org>
Date: Sun Mar 31 20:38:49 UTC 2013
Subject: respect DESTDIR

--- julius-4.2.2/libsent/Makefile.in
+++ julius-4.2.2/libsent/Makefile.in
@@ -144,16 +144,16 @@
 install: install.lib install.include install.bin
 
 install.lib: $(TARGET)
-	${INSTALL} -d ${libdir}
-	${INSTALL_DATA} $(TARGET) ${libdir}
+	${INSTALL} -d $(DESTDIR)/${libdir}
+	${INSTALL_DATA} $(TARGET) $(DESTDIR)/${libdir}
 
 install.include:
-	${INSTALL} -d ${includedir}/sent
-	${INSTALL_DATA} include/sent/*.h ${includedir}/sent
+	${INSTALL} -d $(DESTDIR)/${includedir}/sent
+	${INSTALL_DATA} include/sent/*.h $(DESTDIR)/${includedir}/sent
 
 install.bin: libsent-config-dist
-	${INSTALL} -d ${bindir}
-	${INSTALL_PROGRAM} libsent-config-dist ${bindir}/libsent-config
+	${INSTALL} -d $(DESTDIR)/${bindir}
+	${INSTALL_PROGRAM} libsent-config-dist $(DESTDIR)/${bindir}/libsent-config
 
 clean:
 	$(RM) *~ src/*/*~ src/*/*.o src/*/*/*.o src/*/*/*/*.o src/*/*/*/*/*.o include/sent/*~ 
--- julius-4.2.2/libjulius/Makefile.in
+++ julius-4.2.2/libjulius/Makefile.in
@@ -90,16 +90,16 @@
 install: install.lib install.include install.bin
 
 install.lib: $(TARGET)
-	${INSTALL} -d ${libdir}
-	${INSTALL_DATA} $(TARGET) ${libdir}
+	${INSTALL} -d $(DESTDIR)/${libdir}
+	${INSTALL_DATA} $(TARGET) $(DESTDIR)/${libdir}
 
 install.include:
-	${INSTALL} -d ${includedir}/julius
-	${INSTALL_DATA} include/julius/*.h ${includedir}/julius 
+	${INSTALL} -d $(DESTDIR)/${includedir}/julius
+	${INSTALL_DATA} include/julius/*.h $(DESTDIR)/${includedir}/julius 
 
 install.bin: libjulius-config-dist
-	${INSTALL} -d ${bindir}
-	${INSTALL_PROGRAM} libjulius-config-dist ${bindir}/libjulius-config
+	${INSTALL} -d $(DESTDIR)/${bindir}
+	${INSTALL_PROGRAM} libjulius-config-dist $(DESTDIR)/${bindir}/libjulius-config
 
 depend:
 	makedepend -- $(CFLAGS) -- $(OBJSENT)
--- julius-4.2.2/julius/Makefile.in
+++ julius-4.2.2/julius/Makefile.in
@@ -61,8 +61,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	${INSTALL_PROGRAM} $(TARGET) ${bindir}/${INSTALLTARGET}
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	${INSTALL_PROGRAM} $(TARGET) $(DESTDIR)/${bindir}/${INSTALLTARGET}
 
 depend:
 	makedepend -- $(CFLAGS) -- $(OBJSENT)
--- julius-4.2.2/mkbingram/Makefile.in
+++ julius-4.2.2/mkbingram/Makefile.in
@@ -32,8 +32,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	$(RM) $(OBJ)
--- julius-4.2.2/mkbinhmm/Makefile.in
+++ julius-4.2.2/mkbinhmm/Makefile.in
@@ -32,8 +32,8 @@
 install: install.bin
 
 install.bin: mkbinhmm@EXEEXT@ mkbinhmmlist@EXEEXT@
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ mkbinhmm@EXEEXT@ mkbinhmmlist@EXEEXT@ @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ mkbinhmm@EXEEXT@ mkbinhmmlist@EXEEXT@ $(DESTDIR)/@bindir@
 
 clean:
 	$(RM) mkbinhmm.o mkbinhmmlist.o
--- julius-4.2.2/adinrec/Makefile.in
+++ julius-4.2.2/adinrec/Makefile.in
@@ -36,8 +36,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/adintool/Makefile.in
+++ julius-4.2.2/adintool/Makefile.in
@@ -36,8 +36,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/mkgshmm/Makefile.in
+++ julius-4.2.2/mkgshmm/Makefile.in
@@ -23,8 +23,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/mkss/Makefile.in
+++ julius-4.2.2/mkss/Makefile.in
@@ -36,8 +36,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/jcontrol/Makefile.in
+++ julius-4.2.2/jcontrol/Makefile.in
@@ -31,19 +31,19 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@/jucontrol
 
 clean:
 	$(RM) $(OBJ)
 	$(RM) config.log config.cache
 	$(RM) *~ core
-	$(RM) $(TARGET) $(TARGET).exe
+	$(RM) $(TARGET) $(TARGET).exe jucontrol
 
 distclean:
 	$(RM) $(OBJ)
 	$(RM) config.log config.cache
 	$(RM) *~ core
-	$(RM) $(TARGET) $(TARGET).exe
+	$(RM) $(TARGET) $(TARGET).exe jucontrol
 	$(RM) config.status
 	$(RM) Makefile
--- julius-4.2.2/gramtools/accept_check/Makefile.in
+++ julius-4.2.2/gramtools/accept_check/Makefile.in
@@ -36,8 +36,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/gramtools/dfa_determinize/Makefile.in
+++ julius-4.2.2/gramtools/dfa_determinize/Makefile.in
@@ -35,8 +35,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/gramtools/dfa_minimize/Makefile.in
+++ julius-4.2.2/gramtools/dfa_minimize/Makefile.in
@@ -34,8 +34,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/gramtools/generate/Makefile.in
+++ julius-4.2.2/gramtools/generate/Makefile.in
@@ -35,8 +35,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/gramtools/gram2sapixml/Makefile.in
+++ julius-4.2.2/gramtools/gram2sapixml/Makefile.in
@@ -17,8 +17,8 @@
 install: install.bin
 
 install.bin:
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	echo nothing to do
--- julius-4.2.2/gramtools/mkdfa/Makefile.in
+++ julius-4.2.2/gramtools/mkdfa/Makefile.in
@@ -18,13 +18,13 @@
 
 install:
 	(cd $(SUBDIR); $(MAKE) install)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 install.bin:
 	(cd $(SUBDIR); $(MAKE) install.bin)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	(cd $(SUBDIR); $(MAKE) clean)
--- julius-4.2.2/gramtools/mkdfa/mkfa-1.44-flex/Makefile.in
+++ julius-4.2.2/gramtools/mkdfa/mkfa-1.44-flex/Makefile.in
@@ -43,8 +43,8 @@
 install: install.bin
 
 install.bin:
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	$(RM) *.o *~ core
--- julius-4.2.2/gramtools/nextword/Makefile.in
+++ julius-4.2.2/gramtools/nextword/Makefile.in
@@ -36,8 +36,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 ############################################################
 
--- julius-4.2.2/gramtools/yomi2voca/Makefile.in
+++ julius-4.2.2/gramtools/yomi2voca/Makefile.in
@@ -17,8 +17,8 @@
 install: install.bin
 
 install.bin:
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	echo nothing to do
--- julius-4.2.2/generate-ngram/Makefile.in
+++ julius-4.2.2/generate-ngram/Makefile.in
@@ -33,8 +33,8 @@
 install: install.bin
 
 install.bin: $(TARGET)
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	$(RM) $(OBJ) *~ core
--- julius-4.2.2/jclient-perl/Makefile.in
+++ julius-4.2.2/jclient-perl/Makefile.in
@@ -17,8 +17,8 @@
 install: install.bin
 
 install.bin:
-	${INSTALL} -d @bindir@
-	@INSTALL_PROGRAM@ $(TARGET) @bindir@
+	${INSTALL} -d $(DESTDIR)/@bindir@
+	@INSTALL_PROGRAM@ $(TARGET) $(DESTDIR)/@bindir@
 
 clean:
 	echo nothing to do
--- julius-4.2.2/man/Makefile.in
+++ julius-4.2.2/man/Makefile.in
@@ -19,16 +19,16 @@
 install: install.man install.man.ja
 
 install.man:
-	${INSTALL} -d @mandir@/man1
+	${INSTALL} -d $(DESTDIR)/@mandir@/man1
 	for f in *.1; do \
-	  @INSTALL_DATA@ $$f @mandir@/man1/$$f; \
+	  @INSTALL_DATA@ $$f $(DESTDIR)/@mandir@/man1/$$f; \
 	done
 
 install.man.ja:
-	${INSTALL} -d @mandir@/ja/man1
+	${INSTALL} -d $(DESTDIR)/@mandir@/ja/man1
 	cd ja;
 	for f in *.1; do \
-	  @INSTALL_DATA@ $$f @mandir@/ja/man1/$$f; \
+	  @INSTALL_DATA@ $$f $(DESTDIR)/@mandir@/ja/man1/$$f; \
 	done
 	cd ..
 
